# セクションの説明

*トランザクションの前処理（Transactions preprocessing）* セクションでは、関連ルール処理の前にトランザクションをどのように変換するかを定義します。

![dataiku_app_transactions_preprocessing.png](dNdmFk8fN0gp)
 
# セクションの説明
 
## カラムマッピング

![columns_identication.png](BQL1nCXjBqq0) 

ここでは、入力トランザクションテーブルのスキーマと、ユースケースで使用するカラムの間のマッピングを行えます。そのためには、以下のパラメータを設定する必要があります。

- *Items identifier column*: 各商品を識別するカラム名です。
- *Items quantity identifier column*: バスケットで購入された商品の数量を示すカラム名です。
- *Items price identifier column*: 各商品の単価を示すカラム名です。
- *Transactions identifier column*: 各取引を識別するカラム名です。
- *Transaction date column*: 各取引の日付を示すカラム名です。
- *Customers identifier column*: 各顧客を識別するカラム名です。
 
## 日付フォーマット
 
![dates_format.png](TSFOuTO3xEdK)

入力トランザクションテーブルの日付は、**[DSS non ambiguous dates format](https://doc.dataiku.com/dss/latest/preparation/dates.html#meanings-and-types)** (ISO-8601 または RFC 822) であることを推奨します。この書式に従った日付は、*パース済み（parsed dates）*とみなされます。
このメニューでは、トランザクションの日付がパース済みかどうかを指定します。そうでない場合は、DSSが解析できるように、保存されている日付のフォーマットを設定します。
 


